- #545942 warning: array_filter() [function.array-filter]: The first argument should...
[project/cck.git] / UPGRADE.txt
1 // $Id$
2
3 ================================================================
4 UPDATING FROM VERSION 4.7 to 6.x
5 ================================================================
6
7 THERE IS NO DIRECT UPGRADE PATH FROM 4.7 TO 6.x!! FIRST UPGRADE
8 YOUR DATABASE FROM 4.7 TO THE LATEST 5.x VERSION, THEN UPGRADE
9 TO 6.x.
10
11 ALWAYS BACKUP YOUR DATABASE BEFORE UPGRADING!
12
13 1) While 4.7 is still installed, upload the latest 4.7 version of
14    all the CCK files, go to update.php, and run all possible
15    updates for the Content module and all field modules.
16
17 2) Install Drupal version 5. Once it is running, upload and install
18    the latest 5.x versions of all CCK modules, go to update.php and
19    run all possible updates.
20
21 Jump to the instructions for updating from version 5.x to 6.x.
22
23 ================================================================
24 UPDATING FROM VERSION 5.x to 6.x
25 ================================================================
26
27 YOU MUST RUN ALL POSSIBLE UPDATES TO YOUR DATABASE IN 5.x USING
28 THE LATEST 5.x CODE, BEFORE UPGRADING FROM 5.x to 6.x.
29
30 ALWAYS BACKUP YOUR DATABASE BEFORE UPGRADING!
31
32 1) Before upgrading to 6.x, upload the latest 5.x versions of all
33    CCK modules, go to update.php and run all possible updates.
34
35 2) Disable all CCK modules and remove them from the modules folder
36    before upgrading.
37
38 3) Install Drupal version 6. Leave all contributed modules out of
39    the modules folder until core modules are up and running.
40    Set your administration theme to a core theme like Garland until
41    everything has been updated to help ensure you don't encounter
42    theme-related problems accessing the administration area.
43
44 4) Once core is running, upload and install the latest 6.x versions 
45    of ONLY CCK CORE FILES (the ones in the tarball on the CCK
46    project page). Enable them, then go to update.php and run all 
47    possible updates. DO NOT add any other CCK modules to the 
48    modules folder until the core CCK files are updated and working 
49    correctly.
50
51 5) After updating CCK core modules, you may get messages saying that
52    some updates failed and that you need to run update.php again.
53    If you get messages like that, keep re-running update.php until
54    you get no more messages.
55
56 6) Once the core CCK modules are updated and working correctly,
57    add other CCK modules to the modules folder, enable them,
58    and run update.php. For best results, do this one module at a
59    time so you can tell immediately if any of them create problems
60    without letting those problems interfere with other updates.
61
62
63 Your database should now be ready to run in CCK version 6.x
64
65 ================================================================
66
67 The 4.7 to 5.x steps are necessary because of significant changes 
68 in the database structure between the 4.7 and 6.x versions. These changes
69 make it extremely difficult to create an automatic upgrade path that
70 will work reliably in every possible situation.
71
72 The extra steps in the 5.x to 6.x upgrade are because all modules
73 in the modules folder are automatically updated in Drupal 6, even if they
74 are not enabled. That means that modules that rely on core CCK may try
75 to run their updates even if core CCK is not enabled, and contributed
76 CCK modules that have broken updates will have their broken updates
77 run even if they are not enabled.
78
79 A number of updates are dependent on other updates and won't work
80 until previous updates are finished or specific modules are enabled,
81 so you may get messages that other modules need to be enabled or that
82 update.php needs to be re-run, and you need to follow those instructions
83 until all the updates complete.
84
85 Taking extra time during the upgrade by leaving modules out of the
86 modules folder altogether until you are ready to enable and update them
87 should reduce or eliminate update problems.